package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 * 终端管理测试demo
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Term4001Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("orgId", "55058404816VQJW");
        bizParameter.addParam("cusId", "55058404816VQLX");
        bizParameter.addParam("termNo", "12345678");
        bizParameter.addParam("operation", "03");//00：新增； 01：修改； 02：注销； 03：查询
        bizParameter.addParam("deviceType", "10");
        bizParameter.addParam("termSn", "123");
        bizParameter.addParam("termState", "00");//
        bizParameter.addParam("termAddress", "上海市-上海市-浦东新区-五星路");
        bizParameter.addParam("queryType", "TUA");
        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("4001", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
