package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 【退款申请】
 *
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Tx2294Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {


    	
    	// 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", "wxl"+TxUtils.genReqTraceNum());
        bizParameter.addParam("orgRespTraceNum", "20240626180321208501631603");
        bizParameter.addParam("orderAmount", 1);
//        bizParameter.addListParam("refundDetail", refundDetail);
        bizParameter.addParam("respUrl", "http://test.allinpay.com/open/testNotify");
       // bizParameter.addParam("chnlDiscAmt", "{\"orderInfo\":\"abcdefghiii\"}");//优惠信息：银联云闪付单品
        // bizParameter.addParam("extendParams", "{\"extend\":\"abcdefghiii\"}");
        
        
        
        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("2294", bizParameter);
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
