package com.allinpay.yst2.demo.tx;

import com.allinpay.yst2.demo.util.TxUtils;
import com.allinpay.yst2.demo.vo.BizParameter;
import com.allinpay.yst2.demo.vo.TxResponse;

/**
 *
 * 会员信息查询接口
 * @author gejunqing
 * @version 1.0
 * @date 2024/1/11
 */
public class Member1027Demo extends TxDemo
{
    public static void main(String[] args) throws Exception
    {
        // 组装参数
        BizParameter bizParameter = new BizParameter();
        bizParameter.addParam("reqTraceNum", TxUtils.genReqTraceNum());
        bizParameter.addParam("signNum", "62600101");
        bizParameter.addParam("notifyUrl", "http://test.allinpay.com/open/testNotify/");
        bizParameter.addParam("infoType","2");
      //  1-基本信息 2-银行账户信息 3-协议信息 4-影印件ocr核对信息    5-绑定手机号信息
        // 发送请求
        TxClient txClient = new TxClient(demoConfig);
        TxResponse txResponse = txClient.sendRequest("1027", bizParameter, demoConfig.getMemberUrl());
        // 打印响应结果
        logger.info(txResponse.getBizData());
    }
}
